Subject: Re: [decade] WG review of draft-ietf-decade-problem-statement-01

From: Richard Alimi <[email-masked]>
Date: Mon, 3 Jan 2011 14:55:06 -0800

Hi Ning,

Thank you for providing a review. Some responses inline:

On Tue, Dec 28, 2010 at 12:25 AM, Ning Zong <[email-masked]> wrote:
> (As a reviewer)
>
>
>
> Just a few update suggestions:
>
> 1)       In clause 1, paragraph 5, it would be better to briefly introduce
> what DECADE is before using this term. We can add some text before paragraph
> 5 as follows:
>
> “In this document, DECADE is defined as a standard interface for various P2P
> applications to access storage and data transport services in the network to
> improve their efficiency and reduce the stress on the network
> infrastructure.”

I agree that an introduction is needed here.  As a slight modification
to your suggestion, I've added the following text to the
to-be-released-next-version of the document.

"This document introduces DECADE, a standard interface for various P2P
applications to access storage and data transport services in the
network to improve their efficiency and reduce load on the network
infrastructure."

How does that sound?

>
>
>
> 2)       In clause 4, it would be better to explicitly clarify “DECADE” and
> “IAP” in some places to reduce the potential confusion to new readers. We
> can update some text as follows:
>
> 2.1) paragraph 1 changes to:
>
> “The objective of this working group is to design DECADE, which mainly
> consists of an in-network storage access protocol (IAP) to address the
> problems discussed in the preceding section.”

Done.

>
> 2.2) clause 4.1, the first sentence changes to:
>
> “P2P application clients use the IAP protocol to read data from an
> in-network storage, store data to an in-network storage, or remove data from
> an in-network storage.”

Done.

> 2.3) clause 4.3, the first sentence changes to:
>
> “A user uses the IAP protocol to manage the resources on in-network storage
> that can be used by other peers, e.g., the bandwidth or connections.”

Done.

> 3)       In clause 9.2, we need to update the fourth reference to:
>
> [I-D.ietf-ppsp-problem-statement] Zhang, Y., Zong, N., Camarillo, G., Seng,
> J., and Y. Yang, "Problem Statement of P2P Streaming Protocol (PPSP)",
> draft-ietf-ppsp-problem-statement-00 (work in progress), October 2010.

Done.

Thanks for the comments!

Rich

---

From: Ning Zong <[email-masked]>
Date: Tue, 04 Jan 2011 10:07:41 +0800

Hi Rich,

It looks good. Thank you for editing.

BR,
Ning Zong

-----邮件原件-----
发件人: [email-masked] [mailto:[email-masked]] 代表 Richard Alimi
发送时间: 2011年1月4日 6:55
收件人: Ning Zong
抄送: [email-masked]
主题: Re: [decade] WG review of draft-ietf-decade-problem-statement-01

Hi Ning,

How does that sound?

Done.

Done.

Done.

Done.

Thanks for the comments!

Rich